[arch-commits] Commit in file/repos (3 files)

Sébastien Luttringer seblu at archlinux.org
Thu Nov 28 01:27:49 UTC 2019


    Date: Thursday, November 28, 2019 @ 01:27:49
  Author: seblu
Revision: 369858

archrelease: copy trunk to testing-x86_64

Added:
  file/repos/testing-x86_64/
  file/repos/testing-x86_64/PKGBUILD
    (from rev 369857, file/trunk/PKGBUILD)
  file/repos/testing-x86_64/d3132f65594e8ad27b74643786a786cd3e60c715.patch
    (from rev 369857, file/trunk/d3132f65594e8ad27b74643786a786cd3e60c715.patch)

------------------------------------------------+
 PKGBUILD                                       |   64 +++++++++++++++++++++++
 d3132f65594e8ad27b74643786a786cd3e60c715.patch |   27 +++++++++
 2 files changed, 91 insertions(+)

Copied: file/repos/testing-x86_64/PKGBUILD (from rev 369857, file/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2019-11-28 01:27:49 UTC (rev 369858)
@@ -0,0 +1,64 @@
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=file
+pkgver=5.37
+pkgrel=5
+pkgdesc='File type identification utility'
+arch=('x86_64')
+license=('custom')
+groups=('base-devel')
+url='https://www.darwinsys.com/file/'
+depends=('glibc' 'zlib')
+source=("ftp://ftp.astron.com/pub/$pkgname/$pkgname-$pkgver.tar.gz"{,.asc}
+  d3132f65594e8ad27b74643786a786cd3e60c715.patch)
+validpgpkeys=('BE04995BA8F90ED0C0C176C471112AB16CB33B3A') # Christos Zoulas
+sha256sums=('e9c13967f7dd339a3c241b7710ba093560b9a33013491318e88e6b8b57bae07f'
+            'SKIP'
+            '2ef553d3d4c68fe3e3850bc6151e66ce5714d774536deb9b8401425e73214ea7')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+
+  # Fix linking libmagic (vfork needs libpthread)
+  CFLAGS+=" -pthread"
+
+  # seccomp breaks file -z foo.xz
+  # does a whole pipe-fork-exec dance with /bin/xz, so difficult to fix
+  # this breaks makepkg, specifically on the linux PKGBUILD's patch-*.xz
+
+  ./configure \
+    --prefix=/usr \
+    --datadir=/usr/share/file \
+    --enable-fsect-man5 \
+    --disable-libseccomp
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: file/repos/testing-x86_64/d3132f65594e8ad27b74643786a786cd3e60c715.patch (from rev 369857, file/trunk/d3132f65594e8ad27b74643786a786cd3e60c715.patch)
===================================================================
--- testing-x86_64/d3132f65594e8ad27b74643786a786cd3e60c715.patch	                        (rev 0)
+++ testing-x86_64/d3132f65594e8ad27b74643786a786cd3e60c715.patch	2019-11-28 01:27:49 UTC (rev 369858)
@@ -0,0 +1,27 @@
+From d3132f65594e8ad27b74643786a786cd3e60c715 Mon Sep 17 00:00:00 2001
+From: Christos Zoulas <christos at zoulas.com>
+Date: Tue, 8 Oct 2019 20:25:13 +0000
+Subject: [PATCH] PR/112: connesc: move mime magic higher so that it always
+ takes effect.
+
+---
+ magic/Magdir/compress | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/magic/Magdir/compress b/magic/Magdir/compress
+index 600d216b7..c700b5a45 100644
+--- a/magic/Magdir/compress
++++ b/magic/Magdir/compress
+@@ -58,11 +58,11 @@
+ >>>13	string		09			\b, version 9
+ # other gzipped binary like gzipped tar, VirtualBox extension package,...
+ >>10	default		x		gzip compressed data
++!:mime	application/gzip
+ >>>0	use	gzip-info
+ # size of the original (uncompressed) input data modulo 2^32
+ >>>-4	ulelong		x		\b, original size modulo 2^32 %u
+ # gzipped TAR or VirtualBox extension package
+-!:mime	application/gzip
+ #!:mime	application/x-compressed-tar
+ #!:mime	application/x-virtualbox-vbox-extpack
+ # https://www.w3.org/TR/SVG/mimereg.html



More information about the arch-commits mailing list